"use strict";
var __webpack_exports__ = {};
const filterEmptyValues_js_namespaceObject = require("../../utils/filterEmptyValues.js");
describe('filterEmptyValues', ()=>{
    test('should remove empty values from an array', ()=>{
        const value = [
            null,
            0,
            '',
            false,
            void 0,
            42
        ];
        const result = (0, filterEmptyValues_js_namespaceObject.filterEmptyValues)(value);
        expect(result).toEqual([
            0,
            false,
            42
        ]);
    });
    test('should return the value unchanged if it is not an array', ()=>{
        const value = 'hello world';
        const result = (0, filterEmptyValues_js_namespaceObject.filterEmptyValues)(value);
        expect(result).toEqual('hello world');
    });
    test('should remove empty values from an array containing various types', ()=>{
        const value = [
            1,
            'apple',
            false,
            0,
            3.14,
            '',
            null,
            'orange',
            void 0
        ];
        const result = (0, filterEmptyValues_js_namespaceObject.filterEmptyValues)(value);
        expect(result).toEqual([
            1,
            'apple',
            false,
            0,
            3.14,
            'orange'
        ]);
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
